package io.reisub.dreambot.cshopper;

public class ItemWrapper {
    private final String name;
    private final int buyTotal, minimumInShop;

    public ItemWrapper(String name, int buyTotal, int minimumInShop) {
        this.name = name;
        this.buyTotal = buyTotal;
        this.minimumInShop = minimumInShop;
    }

    public ItemWrapper(String name, int buyTotal) {
        this(name, buyTotal, 0);
    }

    public String getName() {
        return name;
    }

    public int getBuyTotal() {
        return buyTotal;
    }

    public int getMinimumInShop() {
        return minimumInShop;
    }
}
